From: <a href="/blend/av.cgi?id=1610">redplasticroses</a><BR>
Date: 4 September 2005<P>

I have not been able to sleep well since Katrina hit, knowing so many were fighting to stay alive without food or shelter or even getting out of the water. The whole mess is still unbelievable.  I am amazed that some people feel the slow response is a black/white issue. How can anyone look at a natural disaster of this scope and see a skin color?! These are people, families, like each of us...... the wealthy, the young, the sick and the poor. Unfortunately, most of the very poor are black and did not have the means to get out of town. I can't help but believe the slow response was because we were not prepared.  We have always been the one sending our help to other countries and never imagined we'd have such a wide spread disaster in our own country. Nor did we ever anticipate we'd have to deal with this type of flooding.  I can't imagine being in that mess or being a young mother with babies and small kids on one of those overpasses, without shelter or nourishment for them. The black gentleman that was shown on TV crying, who had tried to hang on to his wife but she floated away..... that shattered my heart in a million pieces.  I was glad to see that yesterday the military kicked into high gear, I question why they were not first responders to something like this, but then I realize the efforts it took to coordinate this had to take some time just to mobilize the people.  Continue to pray, they need all our support and His.<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 4 September 2005<P>

So to make up for it Bushco will make Clarence Thomas emperor of the Supreme Court and then say; See I do like black people. <BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 4 September 2005<P>

A letter from New Orleans to the man that should have been taking charge instead of reading My Pet Goat II. This trail of tears leading from "The Big Easy" shows the world that the leadership in this country is more than seriously lacking.<BR>
<BR>
<a href="http://dailykos.com/story/2005/9/4/152433/0622">http://dailykos.com/story/2005/9/4/152433/0622</a><BR>
<BR>
bk<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 4 September 2005<P>

Whoops that was meant for the other page ha.<BR>
<BR>
Hey Chris; <a href="/blend/wv.cgi?id=2005.09.04.14.43.14213">a love song to alburquerque...</a> Wonderful writing, the happiness shines thru.<BR>
<BR>
sassy;<a href="/blend/wv.cgi?id=2005.09.04.07.28.19281">Sunday Morning</a> This was beautiful to wake up to this morning. Thank you for sharing with us.<BR>
<BR>
Just Some Girl; <a href="/blend/wv.cgi?id=2005.09.04.14.58.18967">Dedication to a Distant Memory</a> Good to see you back on the page. I like that song too.<BR>
<BR>
Sorry I have not been commenting lately. I have to force myself from the gloom of what is happening in this country. The stories are too sad.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=34">Just Some Girl</a><BR>
Date: 4 September 2005<P>

Thanks, B.K. It's good to post again. 
<HR>